Subject: Re: [PATCH v2] powerpc: don't enable cpu hotplug on mpic-based pseries

From: Olof Johansson <[email-masked]>
Date: Wed, 10 Oct 2007 11:43:36 -0500

On Wed, Oct 10, 2007 at 05:08:44AM -0500, Milton Miller wrote:
> Olof's patch searched the device-tree again, looking for an mpic.   This
> code instead checks that we found an xics the first time by checking the
> init function.

I'm glad you find the kernel so perfect that your best use of time is
to tweak the code added in a non-critical path (performance-wise) with
a new way of checking for hardware features (no other code in the kernel
checks ppc_md function pointers for that purpose).

Pseries can only have mpic or xics, so it's not like it matters if we
check for mpic or !xics, either.

But hey, any color bike shed will do, and I don't care which one Paul
chooses to merge. I will not waste more time debating this simple patch
though. :)

-Olof